import { toyMarketData } from './toysMarkets';

const sh1 = require('../../assets/shopImages/flowers/aramat.png');
const sh2 = require('../../assets/shopImages/flowers/artbuket.png');
const sh3 = require('../../assets/shopImages/flowers/azalia.png');
const sh4 = require('../../assets/shopImages/flowers/gerbariy.png');
const sh5 = require('../../assets/shopImages/flowers/klumba.png');
const sh6 = require('../../assets/shopImages/flowers/partysoon.png');
const sh7 = require('../../assets/shopImages/flowers/puchok.png');
const sh8 = require('../../assets/shopImages/flowers/romshaka.png');
const sh9 = require('../../assets/shopImages/flowers/rozoviysad.png');
const sh10 = require('../../assets/shopImages/flowers/svetochniyray.png');
const sh11 = require('../../assets/shopImages/flowers/sv1.jpg');
const sh12 = require('../../assets/shopImages/flowers/sv2.jpg');
const sh13 = require('../../assets/shopImages/flowers/sv3.jpg');
const sh14 = require('../../assets/shopImages/flowers/sv4.jpg');
const sh15 = require('../../assets/shopImages/flowers/sv5.jpg');
const sh16 = require('../../assets/shopImages/flowers/sv6.jpg');
const sh17 = require('../../assets/shopImages/flowers/sv7.jpg');
const sh18 = require('../../assets/shopImages/flowers/sv8.jpg');
const sh19 = require('../../assets/shopImages/flowers/sv9.jpg');
const sh20 = require('../../assets/shopImages/flowers/sv10.jpg');

export const flowerShopData = [
    {
      id: '1',
      title: 'Цветочный рай',
      desc: 'Большой выбор свежих цветов',
      open: true,
      shopTime: ['09:00', '21:00'],
      freeDelivery: true,
      rate: '4.75',
      reviewsCount: '56',
      shopIcon: sh10,
      img: sh11,
      location: 'Tashkent',
    },
    {
      id: '2',
      title: 'Розовый сад',
      desc: 'Эксклюзивные букеты и розы',
      open: true,
      shopTime: ['10:00', '22:00'],
      freeDelivery: true,
      rate: '4.88',
      reviewsCount: '78',
      // img: 'https://media.istockphoto.com/id/501616115/ru/%D1%84%D0%BE%D1%82%D0%BE/%D1%80%D0%BE%D0%B7%D0%BE%D0%B2%D1%8B%D0%B9-%D0%B8-%D1%80%D0%BE%D0%B7%D1%8B-%D1%80%D0%B5%D1%86%D0%B5%D0%BF%D1%82%D0%BE%D1%80%D1%8B.jpg?s=612x612&w=0&k=20&c=dwD2Wv-3K_qngC84bNRjdexUxAOIXMkG2kWRM1HPOZM=',
      shopIcon: sh9,
      img: sh12,
      location: 'Tashkent',
    },
    {
      id: '3',
      title: 'Аромат цветов',
      desc: 'Свежие и ароматные цветы',
      open: true,
      shopTime: ['08:00', '20:00'],
      freeDelivery: true,
      rate: '4.65',
      reviewsCount: '42',
      // img: 'https://web.kpi.kharkov.ua/nanochem/wp-content/uploads/sites/126/2015/01/Himija-zapaha-cvetov-fialky.jpg',
      shopIcon: sh1,
      img: sh13,
      location: 'Fergana',
    },
    {
      id: '4',
      title: 'Солнечные гербарии',
      desc: 'Индивидуальные букеты и гербарии',
      open: true,
      shopTime: ['10:00', '21:00'],
      freeDelivery: true,
      rate: '4.92',
      reviewsCount: '64',
      // img: 'https://15-roz.ru/netcat_files/203/183/7_1_1_.jpg',
      shopIcon: sh4,
      img: sh14,
      location: 'Tashkent',
    },
    {
      id: '5',
      title: 'Ромашковое поле',
      desc: 'Полевые цветы и ромашки',
      open: true,
      shopTime: ['07:00', '19:00'],
      freeDelivery: false,
      rate: '4.33',
      reviewsCount: '29',
      // img: 'https://zelenograd-flowers.ru/assets/cache_image/products/991/1-3_1000x0_ee4.webp',
      shopIcon: sh8,
      img: sh18,
      location: 'Fergana',
    },
    {
      id: '6',
      title: 'Флористический рай',
      desc: 'Работы флористов и оформление',
      open: true,
      shopTime: ['09:00', '23:00'],
      freeDelivery: true,
      rate: '4.77',
      reviewsCount: '51',
      shopIcon: sh10,
      img: sh11,
      // img: 'https://i.pinimg.com/736x/29/b7/27/29b727735b2a232863c918930d0fd6cf.jpg',
      location: 'Tashkent',
    },
    {
      id: '7',
      title: 'Звездное цветение',
      desc: 'Уникальные цветочные композиции',
      open: true,
      shopTime: ['08:30', '22:30'],
      freeDelivery: true,
      rate: '4.84',
      reviewsCount: '69',
      shopIcon: sh10,
      img: sh11,
      // img: 'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQayd9C0fHSPrlE-1bAsH0ZUMnaMUpEM5hhTKaUmI0CuMqUSjBgYOxAtqt9jbPSWjx36es&usqp=CAU',
      location: 'Fergana',
    },
    {
      id: '8',
      title: 'Райский сад цветов',
      desc: 'Тропические и экзотические цветы',
      open: true,
      shopTime: ['09:30', '21:30'],
      freeDelivery: true,
      rate: '4.96',
      reviewsCount: '82',
      shopIcon: sh10,
      img: sh11,
      // img: 'https://tatflowers.ru/851-thickbox_default/rajskij-sad.jpg',
      location: 'Tashkent',
    },
    {
      id: '9',
      title: 'Азалия цветов',
      desc: 'Цветы для особых моментов',
      open: true,
      shopTime: ['10:30', '20:30'],
      freeDelivery: true,
      rate: '4.71',
      reviewsCount: '47',
      shopIcon: sh3,
      img: sh13,
      // img: 'https://www.florahimki.ru/wa-data/public/photos/22/00/22.d1193e5d20b0f866b47941f8098680e5/22.970@2x.jpg',
      location: 'Fergana',
    },
    {
      id: '10',
      title: 'Party Soon',
      desc: 'Свежие цветы и букеты',
      open: true,
      shopTime: ['08:00', '24:00'],
      freeDelivery: true,
      rate: '4.89',
      reviewsCount: '123',
      shopIcon: sh6,
      img: sh16,
      // img: 'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTNGqAj0EDROzIhIvw1UQ74MYacx0iasYHVcg&usqp=CAU',
      location: 'Tashkent',
    },
    // {
    //   id: '11',
    //   title: 'Летний букет',
    //   desc: 'Яркие и сочные цветы',
    //   open: true,
    //   shopTime: ['09:00', '21:00'],
    //   freeDelivery: true,
    //   rate: '4.67',
    //   reviewsCount: '58',
    //   img: 'https://example.com/flower-shop-11.jpg',
    //   location: 'Tashkent',
    // },
    // {
    //   id: '12',
    //   title: 'Радуга цветов',
    //   desc: 'Букеты для каждого случая',
    //   open: true,
    //   shopTime: ['10:00', '22:00'],
    //   freeDelivery: true,
    //   rate: '4.75',
    //   reviewsCount: '67',
    //   img: 'https://example.com/flower-shop-12.jpg',
    //   location: 'Tashkent',
    // },
    // {
    //   id: '13',
    //   title: 'Ароматные розы',
    //   desc: 'Романтические букеты с розами',
    //   open: true,
    //   shopTime: ['08:00', '20:00'],
    //   freeDelivery: true,
    //   rate: '4.85',
    //   reviewsCount: '79',
    //   img: 'https://example.com/flower-shop-13.jpg',
    //   location: 'Tashkent',
    // },
    // {
    //   id: '14',
    //   title: 'Экзотические цветы',
    //   desc: 'Удивительные виды цветов',
    //   open: true,
    //   shopTime: ['10:00', '21:00'],
    //   freeDelivery: true,
    //   rate: '4.94',
    //   reviewsCount: '88',
    //   img: 'https://example.com/flower-shop-14.jpg',
    //   location: 'Fergana',
    // },
    // {
    //   id: '15',
    //   title: 'Романтический сад',
    //   desc: 'Букеты для особых моментов',
    //   open: true,
    //   shopTime: ['09:00', '23:00'],
    //   freeDelivery: true,
    //   rate: '4.78',
    //   reviewsCount: '60',
    //   img: 'https://example.com/flower-shop-15.jpg',
    //   location: 'Tashkent',
    // },
    // {
    //   id: '16',
    //   title: 'Цветочное чудо',
    //   desc: 'Чудесные композиции из цветов',
    //   open: true,
    //   shopTime: ['08:30', '22:30'],
    //   freeDelivery: true,
    //   rate: '4.69',
    //   reviewsCount: '66',
    //   img: 'https://example.com/flower-shop-16.jpg',
    //   location: 'Fergana',
    // },
    // {
    //   id: '17',
    //   title: 'Звездное цветение',
    //   desc: 'Уникальные цветочные композиции',
    //   open: true,
    //   shopTime: ['08:30', '22:30'],
    //   freeDelivery: true,
    //   rate: '4.84',
    //   reviewsCount: '69',
    //   img: 'https://example.com/flower-shop-17.jpg',
    //   location: 'Tashkent',
    // },
    // {
    //   id: '18',
    //   title: 'Букет радости',
    //   desc: 'Цветочные композиции на заказ',
    //   open: true,
    //   shopTime: ['09:00', '21:00'],
    //   freeDelivery: true,
    //   rate: '4.76',
    //   reviewsCount: '55',
    //   img: 'https://example.com/flower-shop-18.jpg',
    //   location: 'Fergana',
    // },
    // {
    //   id: '19',
    //   title: 'Семейный букет',
    //   desc: 'Цветы для семейных событий',
    //   open: true,
    //   shopTime: ['09:00', '23:00'],
    //   freeDelivery: true,
    //   rate: '4.72',
    //   reviewsCount: '59',
    //   img: 'https://example.com/flower-shop-19.jpg',
    //   location: 'Tashkent',
    // },
    // {
    //   id: '20',
    //   title: 'Летний букет',
    //   desc: 'Яркие и сочные цветы',
    //   open: true,
    //   shopTime: ['09:00', '21:00'],
    //   freeDelivery: true,
    //   rate: '4.67',
    //   reviewsCount: '58',
    //   img: 'https://example.com/flower-shop-20.jpg',
    //   location: 'Tashkent',
    // },
  ];
  

  export const giftShopData = [
    {
      id: '111',
      title: 'Подарки с любовью',
      desc: 'Идеальные подарки для близких',
      open: true,
      shopTime: ['09:00', '21:00'],
      freeDelivery: true,
      rate: '4.75',
      reviewsCount: '56',
      img: 'https://example.com/gift-shop-1.jpg',
      location: 'Tashkent',
    },
    {
      id: '112',
      title: 'Магазин подарков "Счастье"',
      desc: 'Подарки для создания счастья',
      open: true,
      shopTime: ['10:00', '22:00'],
      freeDelivery: true,
      rate: '4.88',
      reviewsCount: '78',
      img: 'https://example.com/gift-shop-2.jpg',
      location: 'Tashkent',
    },
    {
      id: '113',
      title: 'Подарки для всех',
      desc: 'Подарки на любой вкус и бюджет',
      open: true,
      shopTime: ['08:00', '20:00'],
      freeDelivery: true,
      rate: '4.65',
      reviewsCount: '42',
      img: 'https://example.com/gift-shop-3.jpg',
      location: 'Fergana',
    },
    {
      id: '114',
      title: 'Радужные подарки',
      desc: 'Подарки, которые радуют сердце',
      open: true,
      shopTime: ['10:00', '21:00'],
      freeDelivery: true,
      rate: '4.92',
      reviewsCount: '64',
      img: 'https://example.com/gift-shop-4.jpg',
      location: 'Tashkent',
    },
    {
      id: '115',
      title: 'Подарки для друзей',
      desc: 'Идеи подарков для близких друзей',
      open: true,
      shopTime: ['07:00', '19:00'],
      freeDelivery: false,
      rate: '4.33',
      reviewsCount: '29',
      img: 'https://example.com/gift-shop-5.jpg',
      location: 'Fergana',
    },
    {
      id: '116',
      title: 'Подарки с улыбкой',
      desc: 'Улыбки с нашими подарками',
      open: true,
      shopTime: ['09:00', '23:00'],
      freeDelivery: true,
      rate: '4.77',
      reviewsCount: '51',
      img: 'https://example.com/gift-shop-6.jpg',
      location: 'Tashkent',
    },
    {
      id: '117',
      title: 'Магазин подарков "Сказка"',
      desc: 'Подарки из волшебных сказок',
      open: true,
      shopTime: ['08:30', '22:30'],
      freeDelivery: true,
      rate: '4.84',
      reviewsCount: '69',
      img: 'https://example.com/gift-shop-7.jpg',
      location: 'Fergana',
    },
    {
      id: '118',
      title: 'Подарки для малышей',
      desc: 'Подарки для самых маленьких',
      open: true,
      shopTime: ['09:30', '21:30'],
      freeDelivery: true,
      rate: '4.96',
      reviewsCount: '82',
      img: 'https://example.com/gift-shop-8.jpg',
      location: 'Tashkent',
    },
    {
      id: '119',
      title: 'Подарки для семьи',
      desc: 'Подарки, чтобы радовать всю семью',
      open: true,
      shopTime: ['10:30', '20:30'],
      freeDelivery: true,
      rate: '4.71',
      reviewsCount: '47',
      img: 'https://example.com/gift-shop-9.jpg',
      location: 'Fergana',
    },
    {
      id: '120',
      title: 'Подарки для всех случаев',
      desc: 'Подарки на любой случай',
      open: true,
      shopTime: ['08:00', '24:00'],
      freeDelivery: true,
      rate: '4.89',
      reviewsCount: '123',
      img: 'https://example.com/gift-shop-10.jpg',
      location: 'Tashkent',
    },
    {
      id: '121',
      title: 'Магазин "Подарки с душой"',
      desc: 'Подарки, которые согреют душу',
      open: true,
      shopTime: ['09:00', '21:00'],
      freeDelivery: true,
      rate: '4.67',
      reviewsCount: '58',
      img: 'https://example.com/gift-shop-11.jpg',
      location: 'Tashkent',
    },
    {
      id: '122',
      title: 'Подарки для всех возрастов',
      desc: 'Подарки, которые понравятся всем',
      open: true,
      shopTime: ['08:30', '22:30'],
      freeDelivery: true,
      rate: '4.73',
      reviewsCount: '61',
      img: 'https://example.com/gift-shop-12.jpg',
      location: 'Fergana',
    },
    {
      id: '123',
      title: 'Детская фантазия',
      desc: 'Развивающие игрушки для детей',
      open: true,
      shopTime: ['08:30', '22:30'],
      freeDelivery: true,
      rate: '4.58',
      reviewsCount: '55',
      img: 'https://example.com/gift-shop-13.jpg',
      location: 'Tashkent',
    },
    {
      id: '124',
      title: 'Веселые игрушки',
      desc: 'Игрушки для веселых детей',
      open: true,
      shopTime: ['08:00', '20:00'],
      freeDelivery: true,
      rate: '4.49',
      reviewsCount: '46',
      img: 'https://example.com/gift-shop-14.jpg',
      location: 'Fergana',
    },
    {
      id: '125',
      title: 'Игрушки для детей',
      desc: 'Любимые игрушки малышей',
      open: true,
      shopTime: ['09:00', '23:00'],
      freeDelivery: true,
      rate: '4.78',
      reviewsCount: '60',
      img: 'https://example.com/gift-shop-15.jpg',
      location: 'Tashkent',
    },
    {
      id: '126',
      title: 'Цветочное чудо',
      desc: 'Уникальные цветочные композиции',
      open: true,
      shopTime: ['08:30', '22:30'],
      freeDelivery: true,
      rate: '4.69',
      reviewsCount: '66',
      img: 'https://example.com/gift-shop-16.jpg',
      location: 'Fergana',
    },
    {
      id: '127',
      title: 'Звездное цветение',
      desc: 'Цветочные композиции для звезд',
      open: true,
      shopTime: ['08:30', '22:30'],
      freeDelivery: true,
      rate: '4.84',
      reviewsCount: '69',
      img: 'https://example.com/gift-shop-17.jpg',
      location: 'Tashkent',
    },
    {
      id: '128',
      title: 'Букет радости',
      desc: 'Цветочные композиции на заказ',
      open: true,
      shopTime: ['09:00', '21:00'],
      freeDelivery: true,
      rate: '4.76',
      reviewsCount: '55',
      img: 'https://example.com/gift-shop-18.jpg',
      location: 'Fergana',
    },
    {
      id: '129',
      title: 'Семейный букет',
      desc: 'Цветы для семейных событий',
      open: true,
      shopTime: ['09:00', '23:00'],
      freeDelivery: true,
      rate: '4.72',
      reviewsCount: '59',
      img: 'https://example.com/gift-shop-19.jpg',
      location: 'Tashkent',
    },
    {
      id: '120',
      title: 'Летний букет',
      desc: 'Яркие и сочные цветы',
      open: true,
      shopTime: ['09:00', '21:00'],
      freeDelivery: true,
      rate: '4.67',
      reviewsCount: '58',
      img: 'https://example.com/gift-shop-20.jpg',
      location: 'Tashkent',
    },
  ];

  

export const allData = [ ...flowerShopData, ...toyMarketData]

const getRandomRecommendedList = (data, count) => {
  // Shuffle the data randomly
  const shuffledData = data.sort(() => Math.random() - 0.5);
  // Take the first 'count' items as the recommended list
  return shuffledData.slice(0, count);
};

export const recommendedList = getRandomRecommendedList(allData, 10);